﻿

local moduleName = "RaidIcon"



----------------------------
--      Localization      --
----------------------------

local L = AceLibrary("AceLocale-2.2"):new("BunchOfBars"..moduleName)

L:RegisterTranslations("enUS", function() return {
	[moduleName] = "Raid Icons"
} end)

L:RegisterTranslations("koKR", function() return {
	[moduleName] = "공격대 징표"
} end)

----------------------------------
--      Local Declaration      --
----------------------------------



----------------------------------
--      Module Declaration      --
----------------------------------


local plugin = BunchOfBars:NewModule(moduleName, "AceEvent-2.0")

plugin.revision = tonumber(("$Revision: 39544 $"):match("%d+"))



----------------------------------
--      Module Functions        --
----------------------------------

function plugin:OnEnable()
	self:RegisterEvent("RAID_TARGET_UPDATE", "UpdateAll")
end


function plugin:OnCreate(frame)
	frame = frame.parts["HealthBar"]

	local icon = frame:CreateTexture(nil, "OVERLAY")
	icon:SetHeight(14)
	icon:SetWidth(14)
	icon:SetTexture("Interface\\TargetingFrame\\UI-RaidTargetingIcons")
	icon:ClearAllPoints()
	icon:SetPoint("BOTTOMLEFT", frame, "BOTTOMLEFT", 2, 2)
	icon:Hide()

	return icon
end


function plugin:OnUpdate(frame, icon)
	local i = GetRaidTargetIndex(frame.unit)

	if i then
		SetRaidTargetIconTexture(icon, i)
		icon:Show()
	else
		icon:Hide()
	end
end
